function offline_analyse_colorpmaps_2016JanFeb.m(date_mask)
% function to create analysis web-page, with signas/bg analysis
% and colorplots
%load data to analyse
load_analysis_data(date_mask);

data_select_reset()


global dvar;
global allData;
global plots_basedir;

define_data_var();
define_dirs_analysis();

data_select_reset();

% array of datas
data_types=[dvar.DATA1_VAL_LPM dvar.DATA2_VAL_LPM dvar.DATA1_VAL_SPM dvar.DATA2_VAL_SPM];
data_names={'DATA1_LPM','DATA2_LPM','DATA1_SPM','DATA2_SPM'}';


% 9 histograms displaying selected data
fih=figure(1);
	data_vars_plot();
	set(gcf,'PaperUnits','inches','PaperPosition',[0 0 24 18]);
	print(fih, '-dpng', '-r300',[ plots_basedir  '9plots_monthly.png' ]);
close(fih);

% for each detector and sigla type make colorplot
for data_loop = 1:length(data_types);

fih = figure(1);
	data_colorplot(dvar.DETECT_SPOS, dvar.DETECT_XPOS, data_types(data_loop),...
					 [-800000:12500:-300000], [-500000 -300000 -100000]);
	set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 9]);
	print(fih, '-dpng', '-r300',[ plots_basedir 'colorplot_monthly_'...
				      sprintf('%07d',(data_loop))...
				      '.png' ]);
close(fih);
end; % data_loop

% selection definitions

	pos_hublot_Z=-66000;
	pos_hublot_Y=-575000;
	
	% XPOS  = -200000;
	XPOS_selection{1}{1}={dvar.DETECT_XPOS, '<', -190000};
	XPOS_selection{1}{2}={dvar.DETECT_XPOS, '>', -210000};

	% XPOS = -400000;
	XPOS_selection{2}{1}={dvar.DETECT_XPOS, '<', -390000};
	XPOS_selection{2}{2}={dvar.DETECT_XPOS, '>', -410000};

	% exclude pos_hublot_Z
	POS_selection{1}{1}={dvar.DETECT_ZPOS, '<', pos_hublot_Z-100};
	POS_selection{1}{2}={dvar.DETECT_ZPOS, '>', pos_hublot_Z+100};
	POS_var{1}=dvar.DETECT_ZPOS;
	POS_edges{1}=[-140000:3500:0];
	POS_offset{1}(1)=0;
	POS_offset{1}(2)=0;

	% exclude pos_hublot_S
	POS_selection{2}{1}={dvar.DETECT_SPOS, '<', pos_hublot_Y-100};
	POS_selection{2}{2}={dvar.DETECT_SPOS, '>', pos_hublot_Y+100};
	POS_var{2}=dvar.DETECT_SPOS;
	POS_edges{2}=[-800000:12500:-300000];
	POS_offset{2}(1)=-300000;
	POS_offset{2}(2)=-500000;

	% RESEAU_POS > 1000000
	RESEAU_POS_selection{1}{1}={dvar.RESEAU_POS, '>', 1000000};

	% RESEAU_POS < 1000000
	RESEAU_POS_selection{2}{1}={dvar.RESEAU_POS, '<', 1000000};
	
	% QICT1 = 3.5
	QICT1_selection{1}{1}={dvar.QICT1, '>', 3};
	QICT1_selection{1}{2}={dvar.QICT1, '<', 4};

	% QICT1 = 3.5
	QICT1_selection{2}{1}={dvar.QICT1, '>', 3.65};
	QICT1_selection{2}{2}={dvar.QICT1, '<', 4};

	% QICT1 = 0.5
	QICT1_selection{3}{1}={dvar.QICT1, '>', 0.25};
	QICT1_selection{3}{2}={dvar.QICT1, '<', 0.75};

	% LPM=2	
	LPM_selection{1}{1}={dvar.LPM, '=', 2};

        %LPM=0	
	LPM_selection{2}{1}={dvar.LPM, '=', 0};

data_select_reset();


% make html page
fid = fopen([plots_basedir 'main.html'], 'w');
fprintf(fid, '<HTML>\n');
fprintf(fid, '\t%s\n', '<head></head>');
fprintf(fid, '\t%s\n', '<body>');

% all selection
	img_name=[ '9plots_monthly.png' ];
	fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
	fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
	fprintf(fid, '\t\t\t\t\t%s\n', '</a>');

% colormaps
for dataloop =1:length(data_types)
	img_name=[ 'colorplot_monthly_'...
					      sprintf('%07d',(dataloop))...
					      '.png' ];
	fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
	fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
	fprintf(fid, '\t\t\t\t\t%s\n', '</a>');
end; % dataloop

fprintf(fid, '\t\t%s\n','<table border="1">');

% combinations of selections
for POSloop  =1:length(POS_selection)
	for dataloop =1:length(data_types)
		for LPMloop  =1:length(LPM_selection)
			
		% each new LPM value - drab black line
			fprintf(fid, '\t\t\t%s\n', '<tr>');

			for QICT1loop=1:length(QICT1_selection)+1
				fprintf(fid, '\t\t\t\t%s\n', '<td bgcolor="black"></td>');
			end; % QICT1loop
			fprintf(fid, '\t\t\t%s\n', '</tr>');

			% empty row
			fprintf(fid, '\t\t\t%s\n', '<tr>');
			fprintf(fid, '\t\t\t\t%s\n', '<td></td>');
			fprintf(fid, '\t\t\t\t%s\n', ['<td colspan="' num2str(length(QICT1_selection)) '"><H2>'...
				'<H2></td>']);
			 fprintf(fid, '\t\t\t%s\n', '</tr>');

			% 9 plots for current selection
			fprintf(fid, '\t\t\t%s\n', '<tr>');
			fprintf(fid, '\t\t\t\t%s\n', '<td>');
			fprintf(fid, '\t\t\t\t\t%s\n', '<H2></H2>');
			fprintf(fid, '\t\t\t\t%s\n', '</td>');

			
			for QICT1loop=1:length(QICT1_selection)
				img_name=[data_names{dataloop} '_monthly_9plots_'...
							 sprintf('%07d',(1+QICT1loop*10+LPMloop*100+POSloop*1000))...
							 '.png'];
				fprintf(fid, '\t\t\t\t%s\n', '<td>');
				fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
				fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
				fprintf(fid, '\t\t\t\t\t%s\n', '</a>');
				fprintf(fid, '\t\t\t\t%s\n', '</td>');
			end; % QICT1loop
			fprintf(fid, '\t\t\t%s\n', '</tr>');

			% empty row
			fprintf(fid, '\t\t\t%s\n','<tr>');
			fprintf(fid, '\t\t\t\t%s\n', '<td>');
			fprintf(fid, '\t\t\t\t\t%s\n', '<H2></H2>');
			fprintf(fid, '\t\t\t\t%s\n', '</td>');

			for QICT1loop=1:length(QICT1_selection)
				fprintf(fid, '\t\t\t\t%s\n', '<td>');
				fprintf(fid, '\t\t\t\t%s\n', '</td>');
			end; % QICT1loop
			fprintf(fid, '\t\t\t%s\n', '</tr>');

			% two rows for signal and bg
			for RESEAUloop=1:length(RESEAU_POS_selection)
				fprintf(fid, '\t\t\t%s\n', '<tr>');
				fprintf(fid, '\t\t\t\t%s\n','<td>');
				fprintf(fid, '\t\t\t\t\t%s\n','<H3>');
				fprintf(fid, '\t\t\t\t\t\t%s\n', [data_names{dataloop} '<br>']);
				if RESEAUloop==1
					fprintf(fid, '\t\t\t\t\t\t%s\n', 'Signal');
				elseif RESEAUloop==2
					fprintf(fid, '\t\t\t\t\t\t%s\n', 'Background');
				end; % if RESEAUloop==1
				fprintf(fid, '\t\t\t\t\t%s\n','</H3>');
				fprintf(fid, '\t\t\t\t%s\n','</td>');

				for QICT1loop=1:length(QICT1_selection)
					img_name=[data_names{dataloop} '_monthly_'...
									 sprintf('%07d',(RESEAUloop*1+QICT1loop*10+LPMloop*100+POSloop*1000))...
									 '.png'];
					fprintf(fid, '\t\t\t\t%s\n', '<td>');
					fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
					fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
					fprintf(fid, '\t\t\t\t\t%s\n', '</a>');
					fprintf(fid, '\t\t\t\t%s\n', '</td>');
				end; % QICT1loop
				fprintf(fid, '\t\t\t%s\n', '</tr>');
			end; % RESEAUloop

			% for different XPOS signal/bg
			for XPOSloop=1:length(XPOS_selection)
				fprintf(fid, '\t\t\t%s\n', '<tr>');
				fprintf(fid, '\t\t\t\t%s\n','<td>');
				fprintf(fid, '\t\t\t\t\t%s\n','<H3>');
				fprintf(fid, '\t\t\t\t\t\t%s\n', '<font color="red">Signal</font>/<font color="blue">Background</font>');
				fprintf(fid, '\t\t\t\t\t%s\n','</H3>');
				fprintf(fid, '\t\t\t\t%s\n','</td>');

				for QICT1loop=1:length(QICT1_selection)
					img_name=[data_names{dataloop} '_monthly_'...
									 sprintf('%07d',(0+QICT1loop*10+LPMloop*100+POSloop*1000+XPOSloop*10000))...
									 '.png'];
					fprintf(fid, '\t\t\t\t%s\n', '<td>');
					fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
					fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
					fprintf(fid, '\t\t\t\t\t%s\n', '</a>');
					fprintf(fid, '\t\t\t\t%s\n', '</td>');
				end;
				fprintf(fid, '\t\t\t%s\n', '</tr>');

				fprintf(fid, '\t\t\t%s\n', '<tr>');
				fprintf(fid, '\t\t\t\t%s\n','<td>');
				fprintf(fid, '\t\t\t\t\t%s\n','<H3>');
				fprintf(fid, '\t\t\t\t\t\t%s\n', '<font color="red">Signal</font>/<font color="blue">Background</font>');
				fprintf(fid, '\t\t\t\t\t%s\n','</H3>');
				fprintf(fid, '\t\t\t\t%s\n','</td>');

				% histigrams for different XPOS
				for QICT1loop=1:length(QICT1_selection)
					img_name=[data_names{dataloop} 'histc_monthly_'...
									 sprintf('%07d',(1+QICT1loop*10+LPMloop*100+POSloop*1000+XPOSloop*10000))...
									 '.png'];
					fprintf(fid, '\t\t\t\t%s\n', '<td>');
					fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
					fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
					fprintf(fid, '\t\t\t\t\t%s\n', '</a>');
					fprintf(fid, '\t\t\t\t%s\n', '</td>');
				end; % QICTloop
				fprintf(fid, '\t\t\t%s\n', '</tr>');
				
				% each 2nd datatype - comparison of two detectors 
				if mod(dataloop,2)==0
					fprintf(fid, '\t\t\t%s\n', '<tr>');
					fprintf(fid, '\t\t\t\t%s\n','<td>');
					fprintf(fid, '\t\t\t\t\t%s\n','<H3>');
					fprintf(fid, '\t\t\t\t\t\t%s\n', [get_var_name(data_types(dataloop-1)) '<br/> vs <br/>' get_var_name(data_types(dataloop))]);
					fprintf(fid, '\t\t\t\t\t%s\n','</H3>');
					fprintf(fid, '\t\t\t\t%s\n','</td>');
					% histigrams for different XPOS
					for QICT1loop=1:length(QICT1_selection)
						img_name=['histc_monthly_'...
										 sprintf('%07d',(3+QICT1loop*10+LPMloop*100+POSloop*1000+XPOSloop*10000))...
										 '.png'];
						fprintf(fid, '\t\t\t\t%s\n', '<td>');
						fprintf(fid, '\t\t\t\t\t%s\n', ['<a href="' img_name '">']);
						fprintf(fid, '\t\t\t\t\t\t%s\n', ['<img src="' img_name '" width="500px">']);
						fprintf(fid, '\t\t\t\t\t%s\n', '</a>');
						fprintf(fid, '\t\t\t\t%s\n', '</td>');
					end; % QICTloop
					fprintf(fid, '\t\t\t%s\n', '</tr>');
				end; % mod(dataloop,2)==0
			end;%XPOSloop

		end; % LPMloop
	end; % dataloop
end; % POSloop

fprintf(fid, '\t\t%s\n','</table>');
fprintf(fid, '\t%s\n','</body>');
fprintf(fid, '%s','</HTML>');
fclose(fid);

% make plots
selection_hat=[ 'Analysed on ' datestr(now) char(10)];
for RESEAUloop=1:length(RESEAU_POS_selection)
 for POSloop  =1:length(POS_selection)
  for LPMloop  =1:length(LPM_selection)
   for QICT1loop=1:length(QICT1_selection)
    for dataloop =1:length(data_types)
		
			data_select_reset();

			allData.selection=[selection_hat char(10)];

			data_select(LPM_selection{LPMloop}{1}{:});
			%data_select(LPM_selection{LPMloop}{2}{:});
			data_select(QICT1_selection{QICT1loop}{1}{:});	
			data_select(QICT1_selection{QICT1loop}{2}{:});	

			tmp_selected=allData.selected;
			data_select(POS_selection{POSloop}{1}{:});	
			first_part=allData.selected;
			allData.selected=tmp_selected;
			data_select(POS_selection{POSloop}{2}{:});	
			allData.selected=allData.selected+first_part;

			% base selection
			base_selected=allData.selected;
			base_selected_text=allData.selected;

	if dataloop==1
		%============ comparison of two detectors LPM, SPM ==============
		fih = figure(1);
			bins=data_histc_multiDet(POS_var{POSloop}, data_types((RESEAUloop-1)*2+1), data_types((RESEAUloop-1)*2+2),... 
				   {...
				    {RESEAU_POS_selection{1}{1}},...
				    {RESEAU_POS_selection{2}{1}}...
				   },...
				POS_edges{POSloop},POS_offset{POSloop}(1),POS_offset{POSloop}(2));
			set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 9]);
			print(fih, '-dpng', '-r300',[ plots_basedir 'histc_monthly_'...
							      sprintf('%07d',(3+QICT1loop*10+LPMloop*100+POSloop*1000+10000*RESEAUloop))...
							      '.png' ]);
		close(fih);
		% --------------------------------------------
	end; % if dataloop



			data_select(RESEAU_POS_selection{RESEAUloop}{1}{:});	
	
		
		%============== for TX=-200k and -400k =================
		fih=figure(300+dataloop);
			clf
			plot_handle = data_scatter2d_multi(...
							   POS_var{POSloop}, data_types(dataloop),...
							   {...
							    {XPOS_selection{1}{1}, XPOS_selection{1}{2}},...
							    {XPOS_selection{2}{1}, XPOS_selection{2}{2}}...
							   }...
							   );
			
		set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 9])
		print(fih, '-dpng', '-r300',[ plots_basedir data_names{dataloop} '_monthly_'...
					      sprintf('%07d',(RESEAUloop*1+QICT1loop*10+LPMloop*100+POSloop*1000))...
					      '.png' ]);
		close(fih);
		%-------------------------------------------------------
		%============= selection 9 plots =======================
		fih=figure(300+dataloop);
			data_vars_plot();
		set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 9]);
		print(fih, '-dpng', '-r300',[ plots_basedir data_names{dataloop} '_monthly_9plots_'...
					      sprintf('%07d',(RESEAUloop*1+QICT1loop*10+LPMloop*100+POSloop*1000+00000))...
					      '.png' ]);
		close(fih);
		%---------------------------------------------------------
		allData.selected=base_selected;
		allData.selected=base_selected_text;

		data_select(XPOS_selection{RESEAUloop}{1}{:});	
		data_select(XPOS_selection{RESEAUloop}{2}{:});	

		%=============== x=-200k, -400k with BG ==================
		fih=figure(300+dataloop);
			clf
			plot_handle = data_scatter2d_multi(POS_var{POSloop}, data_types(dataloop),...
							   {...
						            {RESEAU_POS_selection{1}{1}},...
							    {RESEAU_POS_selection{2}{1}}...
							   }...
							  );
			
		set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 9])
		print(fih, '-dpng', '-r300',[ plots_basedir data_names{dataloop} '_monthly_'...
					      sprintf('%07d',(0+QICT1loop*10+LPMloop*100+POSloop*1000+10000*RESEAUloop))...
					      '.png' ]);
		close(fih);
		% -----------------------------------------------------
		% ================ histogram signal/bg ===============
		fih = figure(1);
			bins=data_histc(POS_var{POSloop}, data_types(dataloop),... 
				   {...
				    {RESEAU_POS_selection{1}{1}},...
				    {RESEAU_POS_selection{2}{1}}...
				   },...
				POS_edges{POSloop});
			set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 16]);
			print(fih, '-dpng', '-r300',[ plots_basedir data_names{dataloop} 'histc_monthly_'...
							      sprintf('%07d',(1+QICT1loop*10+LPMloop*100+POSloop*1000+10000*RESEAUloop))...
							      '.png' ]);
		close(fih);
		% -------------------------------------------------
    end; %dataloop
   end; % QICT1loop
  end; % LPMloop
 end; % POSloop
end; % RESEAUloop
data_select_reset;


end % function
